# eric4.Plugins.PluginVmListspace

Module implementing the Tabview view manager plugin.

### Classes

VmListspacePlugin | Class implementing the Listspace view manager plugin.

### Functions

previewPix | Module function to return a preview pixmap.

## VmListspacePlugin

Class implementing the Listspace view manager plugin.

### Derived from

object

### Methods

VmListspacePlugin | Constructor
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

#### VmListspacePlugin (Constructor)

VmListspacePlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### VmListspacePlugin.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of reference to instantiated viewmanager and activation status (boolean)

#### VmListspacePlugin.deactivate

deactivate()

Public method to deactivate this plugin.

Up

## previewPix

previewPix()

Module function to return a preview pixmap.

Returns:
  preview pixmap (QPixmap)

Up